import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { ContentConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-10 09:58
 */
interface ContentConfigCU extends ConditionUtil<ContentConfigCU> {
    ID: FieldUtil<ContentConfigCU>;
    CONTENT: FieldUtil<ContentConfigCU>;
    CREATE_USER: FieldUtil<ContentConfigCU>;
    UPDATE_USER: FieldUtil<ContentConfigCU>;
    CREATE_TIME: FieldUtil<ContentConfigCU>;
    UPDATE_TIME: FieldUtil<ContentConfigCU>;
}
declare class ContentConfigMU extends TableUtilImpl<ContentConfigCU, ContentConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ContentConfigCU;
    static get ID(): FieldUtil<ContentConfigCU>;
    static get CONTENT(): FieldUtil<ContentConfigCU>;
    static get CREATE_USER(): FieldUtil<ContentConfigCU>;
    static get UPDATE_USER(): FieldUtil<ContentConfigCU>;
    static get CREATE_TIME(): FieldUtil<ContentConfigCU>;
    static get UPDATE_TIME(): FieldUtil<ContentConfigCU>;
    get ID(): FieldUtil<ContentConfigCU>;
    get CONTENT(): FieldUtil<ContentConfigCU>;
    get CREATE_USER(): FieldUtil<ContentConfigCU>;
    get UPDATE_USER(): FieldUtil<ContentConfigCU>;
    get CREATE_TIME(): FieldUtil<ContentConfigCU>;
    get UPDATE_TIME(): FieldUtil<ContentConfigCU>;
}
export { ContentConfigMU, ContentConfigCU };
